Bug 979642 - Add a topic that explains deprecated features
Add a topic that explains deprecated features
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: EAP 6.1.1
Assigned To: sgilda
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 22:05 EDT by sgilda
Modified: 2014-09-29 14:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 16:27:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sgilda 2013-06-28 22:05:35 EDT
Document URL: 

Section Number and Name: 

Describe the issue: 
From an email Misty responded to: 


On 06/27/2013 06:49 PM, Misty Stanley-Jones wrote:
> Deprecated features are in the release notes: https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6/html-single/Release_Notes/index.html (for 6.0.0). A Release Notes document goes out with each major, minor, and maintenance release. The list of deprecated features may not be complete, and if not, please file a bug about it.
>
> Thanks,
> Misty
>
> On Jun 27, 2013, at 9:16 PM, Shaun Appleton <sappleto@redhat.com> wrote:
>
>> Hi All,
>>
>> Does anybody know if there exists a list of features deprecated in EAP 6? Or even better for me EAP 5.
>> As EAP 6 was a re-write I have hit a few things that were in EAP 5 but are not in EAP 6. Some things are known like AOP others are discovered.
>>
>> Looking forward an up front list would help with customers planning migration and be more proactive and less reactive.
>> I see from the Windup rules that it can report features deprecated in Hibernate or jdk.
>> Perhaps it would help if Engineering had a formal task to provide a list of known missing and known deprecated features and it can then be incorporated into Windup?
>>
>> Cheers,
>>
>> Shaun


Suggestions for improvement: 

Additional information:
Comment 2 sgilda 2013-07-01 14:22:16 EDT
Created new topic 20099 "Review The List of Deprecated and Unsupported Features".
Added the topic to CSP map 14877 "Migration Guide" for EAP 6.2.

Russell, are we still updating the Guides for 6.1.1? If so, I would like to add this topic in the same location for CSP map 19236.

Thanks!
Comment 6 Nikoleta Ziakova 2013-08-08 07:06:26 EDT
Verified for EAP 6.1.1 ER4

Note You need to log in before you can comment on or make changes to this bug.